<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Gang](./bitburner.gang.md) &gt; [getEquipmentType](./bitburner.gang.getequipmenttype.md)

## Gang.getEquipmentType() method

Get type of an equipment.

**Signature:**

```typescript
getEquipmentType(equipName: string): string;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

equipName


</td><td>

string


</td><td>

Name of equipment.


</td></tr>
</tbody></table>

**Returns:**

string

Type of the equipment.

## Remarks

RAM cost: 2 GB

Get the specified equipment type.

